npm update -g does nothing even though I have outdated packages

I am running npm version 3.6.0 and node verison 5.6.0 on Windows 10: > npm version { npm: '3.6.0', ares: '1.10.1-DEV', http_parser: '2.6.1', icu: '56.1', modules: '47', node: '5.6.0', ...

Impossible to make wireshark rpm?

I am using centos 6.5, and trying to build a wireshark 2.2.2 rpm from the source code. this is what I get after running ./configure The Wireshark package has been configured with the following...

Mosquitto Auth Plugin with Openssl issue on raspberry pi

I have first created a user for mosquitto: sudo adduser --system -no-create-home mosquitto Then I installed some dependencies: sudo apt-get install libc-ares-dev libcurl4-openssl-dev...

Ansible: iterate over a results return value yum module

Problem: I have many nodes that need package updates. Some of the nodes have these packages installed and some do not. The goal is to check if a package is installed using the yum module. if...

gRPC C++ build on Windows 10 how?

I am having no end of trouble trying to build gRPC on Windows 10 using Visual Studio 2015 (C++) and cmake. I have downloaded and unzipped grpc from GitHub, along with all its .gitmodules (and...

npm install stuck at extract: zone.js

I am not an expert on JS so this problem might have an easy solution. I am trying out .Net Core Angular SPA template. When I try to run npm install command, it gets stuck on extract:zone.js step....

Git not in PATH for Homebrew on Mac

A couple days ago, I ran brew update, trying to update homebrew on my Mac (I use OSX 10.9.5). When I ran this, I got this back dyld: Library not loaded:...

How does using conda to install a package change my python version and remove conda?

I had been using Anaconda with python 2.7 $ python Python 2.7.14 |Anaconda custom (64-bit)| (default, Dec 7 2017, 17:05:42) [GCC 7.2.0] on linux2 Type "help", "copyright", "credits" or "license"...

Jupyter & Terminal have different Conda packages

I am trying to import a module (Selenium and getting the error... "ModuleNotFoundError: No module named 'selenium'" I am using a conda virtual environment called "py3-env'. As you can see I have...

zlib error when I try to install node packeges

I have Probleme with installing new packages with npm after I did an npm update with this commande : npm install -g [email protected] in order to fix a problem related to install sqlite3 in node_modules...

UnsatisfiableError: The following specifications were found to be incompatible with each other:

I am running on Ubuntu 16.04 and I have run into issues with Anaconda. Due to package inconsistencies, I can no longer install, update or remove packages. $ conda info NVIDIA: no NVIDIA devices...

PHP incompatible library version after reinstall

After reinstalling PHP7.1 on Macosx I have a the following errors: Incompatible library version. I have done this command: brew reinstall [email protected] And I have this error when trying php -v dyld:...

DYLD, [0x1] Library missing

I've upgraded my mac to Catalina, and after doing so, I'm getting this popup over and over. Tried upgrading brew, tried reinstalling php, but still... (the title would translate to something...

Install R 3.x via homebrew

The R formula https://github.com/Homebrew/homebrew-core/commits/master/Formula/r.rb was upgraded from version 3.6.3 to 4.0 semi-recently. There are a few backward-incompatible changes in version...

How to fix cloud firestore package not installing in flutter project?

Adding firebase cloud firestore to my project dependency packages crashes my apps. I first observed the problem when I was coding along with a youtube tutorial. Now even creating a new flutter...

Exception when calling gRPC server from .Net Framework client

I have a gRPC server implemented in .Net Core that I would like to contact with a console app running in .Net Framework. Here is a working repo of the...

Brew Install Httpd: Welcome to Nginx?

I'm trying to install the brew package httpd (apache). I'm so confused. Every time I do and navigate to http://localhost:8080 I get a big welcome screen that says "Welcome to Nginx." I don't...

d3.js multiple relationship visual / linkHorizontal() / tangled tree

I am trying to mimic a visual that depicts multiple relationships by time period, like this (time period = generation): However, my efforts have not panned out thus far; I'm still getting blank...

Trouble with installing cocoapods: Library not loaded: libssl.1.0.0.dylib

I'm installing cocoapods like this sudo gem install cocoapods which gives me this error: ERROR: Loading command: install (LoadError) ...

Building Wheel For Pycares (Setup.Py) Error

This is my first time ever posting to Stack Overflow, so my apologies for any inadvertent cringe. I'm attempting to install twint on a Macbook Pro (late 2013) running macOS Mojave version...

Getting "An unhandled exception occurred: Cannot find module '@angular/compiler-cli' when trying to run "ng serve"

[enter image description here][1] [1]: https://i.stack.imgur.com/axbtO.png Getting "An unhandled exception occurred: Cannot find module '@angular/compiler-cli' when trying to run "ng...

curl_multi_wakeup doesn't seem to wakeup the associated curl_multi_poll - Android (but may not be limited to)

Curl version: 7.71.0 with c-ares Background We are building a library that's being integrated into mobile apps. We are targeting both iOS and Android. Curl initialisation happens in a static block...

Conda - how to update only cudatoolkit in an existing environment?

This is a specific instance of a general problem that I run into when updating packages using conda. I have an environment that is working great on machine A. I want to transfer it to machine...

Pycurl keep alive works with Curl.perform but drops connection frequently when using CurlMulti

I want to use multicurl for the duplex capabilities. The normal curl.perform works fine in keeping the connection alive for a long time. c = pycurl.Curl() c.setopt(c.VERBOSE, True) c.setopt(c.URL,...

dask-yarn job fails with dumps_msgpack ImportError while reading parquet

I am trying to do a simple read and count of a small parquet file (10K records) using dask-yarn on an AWS EMR cluster with one master and one worker node, both are m5.xlarge instances. I am trying...

Bokeh/panel won't render in-line with Jupyter Lab

I'm trying to visualize Bokeh plots and panels with a Bokeh backend in a notebook in JupyterLab. Things were running fine until I updated. Current packages and versions are below I have tried the...

NodeJS / NPM / node-gyc / make - something's not working, can't install npm module mdns

I know others have asked this question, I've attempted those solutions and still can't solve. This gives me a place to supply more details specific to my situation. I think this is an issue with...

Cannot import installed packages in Jupyter Notebook using Miniforge Conda Environment on M1 Mac

I have a M1 Mac (Apple Silicon, ARM) and I followed the instructions given by Apple here to install Miniforge, create a conda environment called tf_env and install Tensorflow on it. I wanted to...

libstdc++.so.6: version `GLIBCXX_3.4.26' not found on Linux

I was trying to load Seurat package in rstudio and got this error Error: package or namespace load failed for ‘Seurat’ in dyn.load(file, DLLpath = DLLpath, ...): unable to load shared object...

airflow 2.1.3 using pgbouncer for postgresql issue

back ground info: recently we upgraded the airflow from 2.10.14 to 2.1.3, the pgbouncer was using customised container built from azure microsoft image...